// создаю переменные
var x = 6;
var y = 14;
var z = 4;
var res;
// Выполняем операцию x += y - x++ * z
res = x += y - x++ * z;
document.write("ответ 1 = " + res + "<br />");

/* 1) x * z = 6*4 = 24
	2) ++ = 24 + 1 = 25
	3) х++ = 7
	4) x += y = 7 + 14 = 21
	5) 21 - 25 = -4
	*/

	var x = 6;
	var y = 14;
	var z = 4;
	var res;
	// Выполняем операцию z = --x - y * 5
	res = z = --x - y * 5;
	document.write("ответ 2 = " + res + "<br />");
	
	/* 1) х - 1 = 5
		2) y * 5 = 70
		3) 5 - 70 = -65
		4) z = -65
		*/

	var x = 6;
	var y = 14;
	var z = 4;
	var res;
	// Выполняем операцию y /= x + 5 % z
	res = y /= x + 5 % z;
	document.write("ответ 3 = " + res + "<br />");
	
	/* 1) 5 % z = 5 % 4 = 1
		2) x + 1 = 7
		3) 14 / 7 = 2
	*/

	var x = 6;
	var y = 14;
	var z = 4;
	var res;
	// Выполняем операцию z - x++ + y * 5
	res = z - x++ + y * 5;
	document.write("ответ 4 = " + res + "<br />");
	
	/* 1) y * 5 = 14 * 5 = 70
		2) z - x++ = 4 - 6 (x++ - значение  не отрабатывает)= -2
		3) -2 + 70 = 68, а х = 7
	*/

	var x = 6;
	var y = 14;
	var z = 4;
	var res;
	// Выполняем операцию x = y - x++ * z
	res = x = y - x++ * z;
	document.write("ответ 5 = " + res + "<br />");
	
	/* 1) x * z = 6 * 4 = 24
	x++ - значение не отрабатывает
		2) 14 - 24 = -10
	*/